libetonyek::IWORKImageElement Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKImageElement Class Reference

`#include <IWORKImageElement.h>`

Inheritance diagram for libetonyek::IWORKImageElement:

## Public Member Functions
| IWORKImageElement (IWORKXMLParserState &state, IWORKMediaContentPtr_t &content)
| IWORKImageElement (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Private Member Functions
void | startOfElement () override
| Signalize the start of an element.
void | attribute (int name, const char *value) override
| Process an attribute.
IWORKXMLContextPtr_t | element (int name) override
| Create a context for parsing a child element.
void | endOfElement () override
| Signalize the end of an element.

## Private Attributes
boost::optional< bool > | m_locked
IWORKMediaContentPtr_t & | m_content
IWORKMediaContentPtr_t | m_localContent
IWORKMediaContentPtr_t | m_filteredImage
boost::optional< IWORKSize > | m_size
IWORKDataPtr_t | m_data
boost::optional< IWORKColor > | m_fillColor
boost::optional< ID_t > | m_binaryRef
IWORKStylePtr_t | m_style
IWORKGeometryPtr_t | m_cropGeometry
boost::optional< IWORKSize > | m_placeholderSize

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextElement
| IWORKXMLContextElement (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKXMLParserState & | m_state
IWORKXMLParserState & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKImageElement() [1/2]

libetonyek::IWORKImageElement::IWORKImageElement | ( | IWORKXMLParserState & | state,
|  | IWORKMediaContentPtr_t & | content )
| explicit

## ◆ IWORKImageElement() [2/2]

libetonyek::IWORKImageElement::IWORKImageElement | ( | IWORKXMLParserState & | state | ) |
| explicit

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKImageElement::attribute | ( | int | name,
|  | const char * | value )
| overrideprivatevirtual

Process an attribute.

Attributes are fed to the current element's context one by one.

Implements libetonyek::IWORKXMLContext.

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKImageElement::element | ( | int | name | ) |
| overrideprivatevirtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implements libetonyek::IWORKXMLContext.

## ◆ endOfElement()

void libetonyek::IWORKImageElement::endOfElement | ( |  | ) |
| overrideprivatevirtual

Signalize the end of an element.

Implements libetonyek::IWORKXMLContext.

## ◆ startOfElement()

void libetonyek::IWORKImageElement::startOfElement | ( |  | ) |
| overrideprivatevirtual

Signalize the start of an element.

This can be used if initialization of the context needs virtual function calls.

Implements libetonyek::IWORKXMLContext.

## Member Data Documentation

## ◆ m_binaryRef

boost::optional<ID_t> libetonyek::IWORKImageElement::m_binaryRef
| private

Referenced by element(), endOfElement(), IWORKImageElement(), and IWORKImageElement().

## ◆ m_content

IWORKMediaContentPtr_t& libetonyek::IWORKImageElement::m_content
| private

Referenced by element(), endOfElement(), IWORKImageElement(), and IWORKImageElement().

## ◆ m_cropGeometry

IWORKGeometryPtr_t libetonyek::IWORKImageElement::m_cropGeometry
| private

Referenced by element(), endOfElement(), IWORKImageElement(), and IWORKImageElement().

## ◆ m_data

IWORKDataPtr_t libetonyek::IWORKImageElement::m_data
| private

Referenced by element(), endOfElement(), IWORKImageElement(), and IWORKImageElement().

## ◆ m_fillColor

boost::optional<IWORKColor> libetonyek::IWORKImageElement::m_fillColor
| private

Referenced by element(), endOfElement(), IWORKImageElement(), and IWORKImageElement().

## ◆ m_filteredImage

IWORKMediaContentPtr_t libetonyek::IWORKImageElement::m_filteredImage
| private

Referenced by element(), endOfElement(), IWORKImageElement(), and IWORKImageElement().

## ◆ m_localContent

IWORKMediaContentPtr_t libetonyek::IWORKImageElement::m_localContent
| private

Referenced by IWORKImageElement(), and IWORKImageElement().

## ◆ m_locked

boost::optional<bool> libetonyek::IWORKImageElement::m_locked
| private

Referenced by attribute(), endOfElement(), IWORKImageElement(), and IWORKImageElement().

## ◆ m_placeholderSize

boost::optional<IWORKSize> libetonyek::IWORKImageElement::m_placeholderSize
| private

Referenced by element(), IWORKImageElement(), and IWORKImageElement().

## ◆ m_size

boost::optional<IWORKSize> libetonyek::IWORKImageElement::m_size
| private

Referenced by element(), endOfElement(), IWORKImageElement(), and IWORKImageElement().

## ◆ m_style

IWORKStylePtr_t libetonyek::IWORKImageElement::m_style
| private

Referenced by element(), endOfElement(), IWORKImageElement(), and IWORKImageElement().

The documentation for this class was generated from the following files:

- IWORKImageElement.h
- IWORKImageElement.cpp